clone:
  hg:
    image: plugins/hg

pipeline:
  linter:
    image: alpine/flake8
    commands:
      - flake8
  mattermost:
    image: plugins/slack
    channel: dev
    username: drone
    secrets: [ slack_webhook ]
    when:
      status: [ failure, success ]

